Bug 1440922 - rhsm.conf man page needs an update for new [rhsmcertd] maxSplayMinutes
Summary: rhsm.conf man page needs an update for new [rhsmcertd] maxSplayMinutes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Chris Snyder
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-10 18:34 UTC by John Sefler
Modified: 2017-08-01 19:22 UTC (History)
4 users (show)

Fixed In Version: subscription-manager-1.19.7-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 19:22:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github candlepin subscription-manager pull 1581 None None None 2017-04-10 19:57:54 UTC
Red Hat Product Errata RHBA-2017:2083 normal SHIPPED_LIVE python-rhsm and subscription-manager bug fix and enhancement update 2017-08-01 18:14:19 UTC

Description John Sefler 2017-04-10 18:34:06 UTC
Description of problem:
Newly introduced with RFE Bug 1435013 - "[RFE] Randomize and/or Distribute the execution of rhsmcertd over a large Satellite 6 Deployment" is a configuration in /etc/rhsm/rhsm.conf for [rhsmcertd] maxSplayMinutes.
Please add a new description for maxSplayMinutes in the rhsm.conf man page.


Version-Release number of selected component (if applicable):
[root@jsefler-rhel7 ~]# rpm -q subscription-manager
subscription-manager-1.19.5-1.git.14.4f78930.el7.x86_64


Additional info:

Here's the description that was newly added to the rhsmcertd man page...
[root@jsefler-rhel7 ~]# man rhsmcertd
       -m, --max-splay-minutes=MINUTES
              Sets the maximum time to offset the checks done by this
              tool.  This  value  is in minutes. The default value is
              10. It may be useful in large deployments  to  increase
              this  value  to  reduce  peak  load  on the entitlement
              server these systems are registered  to.  Setting  this
              value  to  0  effectively  turns off this feature. This
              interval is in effect until the  daemon  restarts,  and
              then  the  values  in  the /etc/rhsm/rhsm.conf file are
              used (unless the argument is passed again).


Expected results:
[root@jsefler-rhel7 ~]# man rhsm.conf
[RHSM] OPTIONS
       maxSplayMinutes
           <A DESCRIPTION SIMILAR TO THE ONE ABOVE FROM rhsmcertd MAN PAGE>

Comment 2 Chris Snyder 2017-04-10 19:58:24 UTC
Added a PR with the fix for this. Awaiting review.

Comment 4 Shwetha Kallesh 2017-04-13 14:23:02 UTC
Snip from man page of rhsmcertd 

-m, --max-splay-minutes=MINUTES
              Sets  the  maximum  time to offset the checks done by this tool. This value is in minutes. The default value is 10. It may be useful in large deploy‐
              ments to increase this value to reduce peak load on the entitlement server these systems are registered to. Setting this value to 0 effectively turns
              off  this  feature.  This  interval  is in effect until the daemon restarts, and then the values in the /etc/rhsm/rhsm.conf file are used (unless the
              argument is passed again).


[root@dhcp35-160 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 2.1.0-1
subscription management rules: 5.23
subscription-manager: 1.19.7-1.el7
python-rhsm: 1.19.4-1.el7

Comment 5 errata-xmlrpc 2017-08-01 19:22:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2083


Note You need to log in before you can comment on or make changes to this bug.